<?php

/**
 * \defgroup msg Midgard setup globals
 * 
 * Global constants defined for local midgard_setup.
 */

/**
 * \ingroup msg
 *
 * Midgard routines
 */
define('MIDGARD_SETUP_MIDGARD_CONFIG_CMD',  "@MIDGARD_CONFIG@");
define('MIDGARD_SETUP_MIDGARD_PREFIX',      "/usr");
define('MIDGARD_SETUP_DIRECTORY_ETC',       "/etc");
define('MIDGARD_SETUP_DIRECTORY_USR',       "/usr");
define('MIDGARD_SETUP_DIRECTORY_VAR',       "/var");

/**
 * \ingroup msg
 *
 * MySQL routines
 */
define('MIDGARD_SETUP_MYSQL_CMD',       "/usr/bin/mysql");
define('MIDGARD_SETUP_MYSQLADMIN_CMD',  "/usr/bin/mysqladmin");
define('MIDGARD_SETUP_MYSQLDUMP_CMD',   "/usr/bin/mysqldump");

/**
 * \ingroup msg
 *
 * Apache ( httpd ) routines
 */
define('MIDGARD_SETUP_APACHE_CMD',          "/usr/bin/httpd");
define('MIDGARD_SETUP_APACHE_CONF',         "/usr/conf/httpd.conf");
define('MIDGARD_SETUP_APACHE_CONF_PATH',    "/usr/conf");    
define('MIDGARD_SETUP_APACHE_LIBEXEC_PATH', "/usr/modules");
define('MIDGARD_SETUP_APACHE_USER',         "daemon");
define('MIDGARD_SETUP_APACHE_GROUP',        "daemon");

/**
 * \ingroup msg
 *
 * PHP routines
 */
define('MIDGARD_SETUP_PHP_CMD',     "/usr/bin/php");
define('MIDGARD_SETUP_ROOT_DIR',    "/usr/share/midgard/setup/php");

/** 
 * \ingroup msg 
 * 
 * Configuration data
 */
define('MIDGARD_SETUP_LOG_FILE',    "/var/log/midgard/datagard.log");

/* This can be optional */
/* define('MIDGARD_SETUP_DIALOG_CMD',      "@DIALOG@"); */

?>
